Subject: bug#23519: 25.0.93; pasting with the middle mouse button while searching doesn't work

From: Jan Synacek <[email-masked]>
Date: Thu, 12 May 2016 10:04:29 +0200

On Thu, May 12, 2016 at 10:00 AM, Eli Zaretskii <[email-masked]> wrote:
>> From: [email-masked] (Jan Synáček)
>> Date: Thu, 12 May 2016 09:28:03 +0200
>>
>>
>> 1) emacs -Q -nw <file> (reproduces even without -nw)
>
> Please show lossage in a GUI session, as mouse handling is very
> different there.
>> 2) C-s
>> 3) Have some text selected and click the middle mouse button.
>>
>> The selected text is pasted into the buffer, not the minibuffer.
>
> I cannot reproduce this here in a GUI session: as long as I have the
> mouse pointer in the minibuffer when I press mouse-2, the selected
> text is pasted into the minibuffer, and Emacs does search for the text
> I pasted.

I was probably too quick with testing. It works in a GUI session,
sorry about the noise. But still doesn't work with -nw, but used to in 24.5.

-- 
Jan Synacek
Software Engineer, Red Hat